'==========================================================================
'
' VBScript Source File -- Created with SAPIEN Technologies PrimalScript 2007
'
' NAME: Computers_SetQuota.vbs
'
' AUTHOR: Dan Holme , Intelliem
' DATE  : 11/12/2007
'
' USAGE:  
' cscript.exe Computers_SetQuota.vbs
'
' This VBScript code disables the ability for Authenticated Users 
' to add ten machines to the domain by changing the 
' ms-DS-MachineAccountQuota from the default (ten) to zero
' See the Windows Administration Resource Kit for documentation
'
' Neither Microsoft nor Intelliem guarantee the performance
' of scripts, scripting examples or tools.
'
' See www.intelliem.com/resourcekit for updates to this script
'
' (c) 2007 Intelliem, Inc
'==========================================================================
' ------ BEGIN CONFIGURATION ------
sPartitionDN = "dc=contoso,dc=com"
iNewQuota = 0	
' ------ END CONFIGURATION ---------
set oQuotas = GetObject("LDAP://" & sPartitionDN )
oQuotas.Put "ms-DS-MachineAccountQuota", iNewQuota
oQuotas.SetInfo
WScript.Echo "Set the default quota for " & _
sPartitionDN & " to " & oQuotas.Get("ms-DS-MachineAccountQuota")
