'==========================================================================
'
' VBScript Source File -- Created with SAPIEN Technologies PrimalScript 2007
'
' NAME: Config_QuickLaunch_Toggle_Simple.vbs
'
' AUTHOR: Dan Holme , Intelliem
' DATE  : 11/21/2007
'
' USAGE:  
' cscript.exe Config_QuickLaunch_Toggle_Simple.vbs
'
' Toggles the QuickLaunch bar
'
' Demonstrates how to use SendKeys and AppActivate to automate
' a GUI click-by-click (keystroke-by-keystroke) configuration change
'
' This is the version shown in the text of the Resource Kit.
' A more robust and sophisticated version is 
' Config_QuickLaunch_Toggle.vbs
'
' See the Windows Administration Resource Kit for documentation
'
' Neither Microsoft nor Intelliem guarantee the performance
' of scripts, scripting examples or tools.
'
' See www.intelliem.com/resourcekit for updates to this script
'
' (c) 2007 Intelliem, Inc
'==========================================================================

Set WSHShell = WScript.CreateObject("WScript.Shell")
WSHShell.Run "rundll32.exe shell32.dll,Options_RunDLL 1"
WScript.Sleep 1000
bActivated = WSHShell.AppActivate("Taskbar and Start Menu Properties")
if not bActivated then WScript.Quit
WScript.Sleep 500
WSHShell.SendKeys "%Q"
WScript.Sleep 500
WSHShell.SendKeys "{ENTER}"
