'==========================================================================
'
' VBScript Source File -- Created with SAPIEN Technologies PrimalScript 2007
'
' NAME: 
'
' AUTHOR: Dan Holme , Intelliem
' DATE  : 12/16/2007
'
' USAGE:  
' cscript.exe Schema_Reload.vbs
'
' Reloads the Active Directory schema - used when making 
' schema modifications so that the changes will appear without delay
'
' See the Windows Administration Resource Kit for documentation
'
' Neither Microsoft nor Intelliem guarantee the performance
' of scripts, scripting examples or tools.
'
' See www.intelliem.com/resourcekit for updates to this script
'
' (c) 2007 Intelliem, Inc
'==========================================================================

' RELOAD THE SCHEMA
Set oRootDSE = GetObject("LDAP://RootDSE")
oRootDSE.Put "schemaUpdateNow", 1
oRootDSE.SetInfo
WScript.Echo "The schema has been reloaded"
