'==========================================================================
'
' VBScript Source File -- Created with SAPIEN Technologies PrimalScript 2007
'
' NAME: Proxy_TaskSubmit.vbs
'
' AUTHOR: Dan Holme , Intelliem
' DATE  : 11/30/2007
'
' USAGE:  
' cscript.exe Proxy_TaskSubmit.vbs
'
' Creates a task request text file for the Proxy Framework
'
' See the Windows Administration Resource Kit for documentation
'
' Neither Microsoft nor Intelliem guarantee the performance
' of scripts, scripting examples or tools.
'
' See www.intelliem.com/resourcekit for updates to this script
'
' (c) 2007 Intelliem, Inc
'==========================================================================

Option Explicit

Dim sRequestPath, sCommand, sParameters
sRequestPath = "\\contoso.com\it\maintenance\proxy\requests"
sCommand = "groupremovemember"
' With parameters (arguments), string must start and end with quotes.
' Wherever you would normally type quotes, type two quotes, as in the example below.
' Notice that can mean three quotes, as at the end of the string.
sParameters = "/groupadspath:""LDAP://cn=finance,ou=roles,ou=groups,dc=contoso,dc=com"" " & _
			  "/memberadspath:""LDAP://cn=james fine,ou=employees,ou=people,dc=contoso,dc=com"" " & _
			  "/justification:""James is no longer on the team"""
			  
Dim FSO : Set FSO = CreateObject("Scripting.FileSystemObject")
Dim sFilename, sFilespec, oFile
sFilename = FSO.GetTempName
sFilename = Replace(sFilename, ".tmp", ".txt")
sFilespec = sRequestPath & "\" & sFilename
Set oFile = FSO.CreateTextFile(sFilespec)
oFile.WriteLine sCommand
oFile.WriteLine sParameters
oFile.Close

MsgBox "A request has been submitted to the task queue."
